﻿////mr-bundler-ignore

function MrStartUI() {
    MrMUISecoundryColor = "#0E2837";
    MrMUIPrimaryColor = "#F5F5F5";
    MrMUIToolWidth = "30vw";
    MrMUIToolMaxWidth = "800px";
    MrMUIToolMinWidth = "450px";
    MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i , .page-cover , .year-of";
    MrAudcommonSelectors += ',k';
    Mrnoggt = false;
    MrCID = mrUrlMatch("moc.takamulstg") ? 277 : 254;
    MrTTSAct = "Khalid";
    MrAudCid = 31;
    MrArabicFlag = "saudi";
    if (mrUrlMatch("culturalhub.moc")) {
        MrInvertBackgroundColor = "transparent";
            MrMUISecoundryColor = "#EB5A3C";
    }
    if (mrUrlMatch("engage.moc")) {
        MrMultiSiteLang = false;
        MrSingleLanguageName = "Arabic";
    }
    mrPostToolLoaded=function(){
        jQuery(".MrResetToolsBtn").click(function () { MrUAPDisableAllProfiles(true); });
        jQuery('.MrleftRightBtn').click(function () {MrUAPLeftRightAssistTool()});
    
        jQuery(".MrHeaderCloseBtn:not(.MrleftRightBtn)").click(function(){MrUAPHideAssistiveTool();});
    };
    var langAttr = document.getElementsByTagName("html")[0].getAttribute("lang");
    var langMatch = langAttr == "ar-SA" || langAttr == "ar" || langAttr == "ar-SY";
    var WindowhrefIncludesAr = window.location.href.toString().toLowerCase().includes("/ar") || window.location.href.toString().toLowerCase().includes("/ar/");

    MrArabicUIisOn = langMatch || WindowhrefIncludesAr || document.body.classList.contains("rtl-layout") || document.getElementsByTagName("html")[0].getAttribute("dir") == "rtl";


    jQuery(".year-of").css("position", "relative");

    MRUAPPrepareUI(
        [
            "MrSignLanguage",
            "MrText2Speech",
            "MrControl_Page_contrast",
            "MrCursor_Helpers",
            "MrChangefont",
            "MrEnlarge_Fonts",
            "MrPage_saturation_control",
            "MrWords_Spacing",
            "MrRealWords_Spacing",
            "MrLine_Spacing",
            "MrText_Alignments",
            "MrHighlight_Links",
            "MrAnimation",
            "MrHideImgs",
            "MrDictionary",
            "MrPage_Structure",
        ],
        [
            "MrVisuallyImpaired",
            "Mrdyslexia",
            "MrADHD",
            "MrSeizureAndEpilepsy",
            "MrColor_Blind",
            "Mrcognitive_education",
            "MrImpaired_mobility",
        ]
    );

    var MrIconMessage = MrArabicUIisOn
        ? "مساعدة في استخدام الموقع"
        : "Assist using site";

    MrGotoArabicVersion = function () {
        try {
            document
                .getElementById(":1.container")
                .contentWindow.document.getElementById(":1.restore")
                .click();
        } catch (err) { }

        if (!MrArabicUIisOn) {
            switch (true) {
                case mrUrlMatch("contactcenter.moc"):
                    window.location.href = jQuery(".change-language").attr("href");
                    break;
                case mrUrlMatch("scholarship.moc"):
                    jQuery("#ChangeLanguage").click();
                    break;
                case mrUrlMatch("abdea.moc"):
                    jQuery('a:contains("AR")')[0].click();
                    break;
                case mrUrlMatch("culturalawards.moc"):
                    jQuery(".change-language")[0].click();
                    break;
                case mrUrlMatch("engage.moc"):
                    try {
                        document.getElementById(":1.container").contentWindow.document.getElementById(":1.restore").click();
                    } catch (err) { }
                    break;
                case mrUrlMatch("culturalhub.moc"):
                    window.location.href = jQuery(".language-item a").attr("href");
                    break;
                case mrUrlMatch("musichubs.moc"):
                    window.location.href = jQuery('.language-link').attr('href');
                    break;
                case mrUrlMatch("suppliers.moc"):
                    jQuery('#language_checkbox_ar').click();
                    break;
                case mrUrlMatch("moc.takamulstg") || mrUrlMatch("t.moc.gov"):
                    try {
                        jQuery('header .gap-4.flex span')[0].click();
                    } catch (err) { }
                    break;
                default:
                
                if(jQuery(".lang-switcher").length>0)
                {
                    var elm = jQuery(".lang-switcher")[1];
                    
                    window.location.href = jQuery(elm).attr("href");
                }else{

                      try {
                        jQuery('header .gap-4.flex span')[0].click();
                    } catch (err) { }
                }
                    break;
            }


            MrUPChangeToolLangToAR();
        }
    };
    MrGotoEnglishVersion = function () {
        try {
            document
                .getElementById(":1.container")
                .contentWindow.document.getElementById(":1.restore")
                .click();
        } catch (err) { }

        if (MrArabicUIisOn) {
            switch (true) {
                case mrUrlMatch("contactcenter.moc"):
                    window.location.href = jQuery(".change-language").attr("href");
                    break;
                case mrUrlMatch("scholarship.moc"):
                    jQuery("#ChangeLanguage").click();
                    break;
                case mrUrlMatch("abdea.moc"):
                    jQuery('a:contains("EN")')[0].click();
                    break;
                case mrUrlMatch("culturalawards.moc"):
                    jQuery(".change-language")[0].click();
                    break;
                case mrUrlMatch("engage.moc"):
                    MrMUIApplyTranslate("en");
                    break;
                case mrUrlMatch("culturalhub.moc"):
                    window.location.href = jQuery(".language-item a").attr("href");
                    break;
                case mrUrlMatch("musichubs.moc"):
                    window.location.href = jQuery('.language-link').attr('href');
                    break;
                case mrUrlMatch("suppliers.moc"):
                    jQuery('#language_checkbox').click();
                    break;
                case mrUrlMatch("moc.takamulstg") || mrUrlMatch("t.moc.gov"):
                    try {
                         jQuery('header .gap-4.flex span')[0].click();
                    } catch (err) { }
                    break;
                default:
                    if (jQuery(".lang-switcher").length > 0) {
                        window.location.href = jQuery(".lang-switcher").attr("href");
                    } else {
                        try {
                            jQuery('header .gap-4.flex span')[0].click();
                        } catch (err) { }

                    }
                   
                    break;
            }
            MrUPChangeToolLAngToEN();
        }
    };
    var MrIconToAdd = `<div id="MrAccessInHand" title="${MrIconMessage}">
    <img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="${MrIconMessage}">
    </div>`;

    MrUAPAddStyle(
        `#MrAccessInHand:hover { filter: brightness(1.3);}
                 #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 5px; left: 60px; background-color: ${MrMUISecoundryColor}; border-radius: 5px;width:50px;height:50px;text-align:center } 
                 #MrAccessInHand img{filter:${MrUtilHexToFilter(
            MrMUIWhite
        )};margin-top:5px;width:40px;display: inline;}
                 #MrMUIFooter {width: 96%; } 
                 .MrMUI-tab-switcher > img { display: inline; }`,
        "MrbuttonCSS"
    );

    MrUAPAddStyle("nav.nch_navbar.is-fixed .language-item a.mr-dark-contrast-link {color:yellow !important}", "sdsdsdsds");
    MrUAPAddStyle("nav.nch_navbar.is-fixed a.nav-link.mr-dark-contrast-link {color:yellow !important}", "sdsdsdsds");

    MrUAPAddStyle(
        ` ul#mr-tabs-list {  padding-inline-start: 0px !important;} 
    .navbar a.nav-link.active.mr-dark-contrast-link { color: rgb(252, 255, 60) !important; } 
    .navbar a.nav-link.active.mr-activate-highlite {color : yellow !important } 
    .mr-muiTool {  z-index: 9999999;} 
    .mr-material-icons {font-size : 28px !important} 
    .content-about-container.animr.mr-light-contrast > * {color: white !important}`,
        "MrMainUIFixs"
    );
    MrUAPAddStyle(".navbar-light .navbar-nav .nav-link.mr-dark-contrast-link { color: rgb(252, 255, 60) !important; }", "MrlcmocFix");

    if (mrUrlMatch("abdea.moc")) {
        MrUAPAddStyle(
            ".MrMUI-tab-switcher { padding : 10px }  .MrMUIHeaderDiv { padding: 5px 5px 0px 5px;} ",
            "MrAbdaaCustomStyles"
        );
    }




    if (mrUrlMatch("culturalawards.moc") || mrUrlMatch("culturalhub.moc")) {
        MrUAPAddStyle(
            ".MrMUI-tab-container {  max-height: 60vh; } .mr-muiTool {max-height : 85vh }",
            "MrCaUifixs"
        );
        if (mrUrlMatch("culturalhub.moc")) {
            MrUAPAddStyle("nav.nch_navbar.is-fixed .language-item a.mr-dark-contrast-link {color:yellow !important}", "MrchmocFix");
            MrUAPAddStyle("nav.nch_navbar.is-fixed a.nav-link.mr-dark-contrast-link {color:yellow !important}", "MrchmocFix2");
        }
    }

    jQuery("body").append(MrIconToAdd);

    jQuery("#MrAccessInHand").click(function () {
        MrToolCheckLicense();
         if(jQuery('.mr-muiTool').hasClass("mrMUIToolRight") == false){
            MrUAPLeftRightAssistTool();
        }
        MrUAPShowAssistiveTool();
        MrMUIGetGoogleTranslationValues(2);
        setTimeout(function(){

        if (MrArabicUIisOn) {
            jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
        } else {
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
        }
        },1000);
    });

    MrMUIActivateShotcuts();
    jQuery('p').addClass('mr-tooltip-read');
}

function mrUrlMatch(subdomain) {
    return window.location.href.includes(subdomain);
}

if (typeof mrLastUrl === 'undefined') {
    var mrLastUrl = window.location.href; // Initialize the variable
}

function MrFixForAngularSites() {
    if (mrLastUrl != window.location.href) {
        if (window.location.href.includes('scholarship.moc')) {
            MrArabicUIisOn = document.documentElement.getAttribute('dir') === 'rtl';
        } else {
            const supportedLanguages = ["ar-SA", "ar-SY", "ar"];
            MrArabicUIisOn = supportedLanguages.includes(document.documentElement.getAttribute('lang')) ||
                window.location.href.toLowerCase().includes("/ar/");
            MrArabicUIisOn = MrArabicUIisOn || document.body.classList.contains('rtl-layout');
        }


        if (MrArabicUIisOn) {
            MrUPChangeToolLangToAR();
          
                jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
                jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
                jQuery("[mrtitleen='English']").removeClass("MrMUIActivated");
                jQuery("[mrtitleen='English'] label").removeClass("MrButtonActive");
          
        } else {
            MrUPChangeToolLAngToEN();
            jQuery("[mrtitleen='Arabic']").removeClass("MrMUIActivated");
            jQuery("[mrtitleen='Arabic'] label").removeClass("MrButtonActive");
            jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
            jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");            
        }


        var onButtons = MrgetDivsWithIndexGreaterThanZero();
        MrRerenderAttrsClasses();
        MrUAPDisableAllProfiles(); 
        mrLastUrl = window.location.href;
        MrUPToggleStartUpButtons(onButtons);
    }
}

function MrisSupportedDomain(url) {
    return MrAngularSupportedDomainsAih.some(domain => url.includes(domain));
}
const MrAngularSupportedDomainsAih = [
    "scholarship.moc",
    "abdea.moc",
    "moc.takamulstg",
    "t.moc.gov"
];

var mruapTimeoutFix = undefined;
window.addEventListener("load", function () {
    if (typeof TranslateWebsite !== "function") {
        MrStartUI();
        if (MrisSupportedDomain(window.location.href)) {
            setInterval(function () {
                if(mruapTimeoutFix != undefined){
                    clearTimeout(mruapTimeoutFix);
                }
                mruapTimeoutFix = setTimeout(function () {
                    MrFixForAngularSites();
                }, 500)


            }, 1000);
        }
    }
});
